/// <reference types="react" />
import { IValueRule } from "../IValueRule";
import { ValueRuleCell } from "../ValueRuleCell";
import { ValueRuleColumn } from "../ValueRuleColumn";
export declare abstract class BaseRule implements IValueRule {
    readonly name: string;
    displayName: string;
    renderListValue(values: any[]): JSX.Element;
    renderOneLineValue(value: any): JSX.Element;
    renderValue(cell: ValueRuleCell): JSX.Element;
    renderListEditor(cell: ValueRuleCell): JSX.Element;
    renderOneLineEditor(cell: ValueRuleCell): JSX.Element;
    renderEditor(cell: ValueRuleCell): JSX.Element;
    renderCell(column: ValueRuleColumn, cell: ValueRuleCell, focused: boolean): JSX.Element;
    evaluate(cell: ValueRuleCell): boolean;
}
export declare const ValueTableCellLine: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ValueTableCellWrapper: import("styled-components").StyledComponent<"div", any, {
    focused: boolean;
    content: any;
}, never>;
export declare const ValueTableCellEditor: import("styled-components").StyledComponent<"div", any, {}, never>;
